package com.com2us.hive.adkit.sample.normal;

import android.content.Intent;
import android.os.Bundle;
import android.widget.TextView;
import androidx.appcompat.app.AppCompatActivity;

import com.com2us.hive.adkit.AppOpenAd;
import com.com2us.hive.adkit.EventHandlers;


public class AppOpenActivity extends AppCompatActivity {

    TextView callbackStatus;

    AppOpenAd appOpen;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_appopen);
        callbackStatus = findViewById(R.id.appopenCallbackStatus);

        appOpen = AppOpenAd.Initialize(this, "33906f96-dae8-4790-8ce4-d1f287ba00b2", new EventHandlers() {
            @Override
            public void onAdLoaded() {
                callbackStatus.append("onAdLoaded() Called\n");
            }

            @Override
            public void onAdOpening() {
                callbackStatus.append("onAdOpening() Called\n");
            }

            @Override
            public void onAdClosed() {
                callbackStatus.append("onAdClosed() Called\n");
            }

            @Override
            public void onAdFailed() {
                callbackStatus.append("onAdFailed() Called\n");
            }
        });

        findViewById(R.id.loadAppOpen).setOnClickListener(view -> {
            if(appOpen != null && appOpen.IsInitialzed()) appOpen.LoadAd("load");
            else finish();
        });

        findViewById(R.id.destroyAppOpen).setOnClickListener(view -> {
            if(appOpen != null && appOpen.IsInitialzed()) {
                appOpen.Destroy();
                appOpen = null;
            } else {
                finish();
            }
        });

        findViewById(R.id.goBackGround).setOnClickListener(view -> {
            Intent intent = new Intent();
            intent.setAction(Intent.ACTION_MAIN);
            intent.addCategory(Intent.CATEGORY_HOME);
            startActivity(intent);
        });
    }

    @Override
    protected void onDestroy() {
        super.onDestroy();
        if(appOpen != null) appOpen.Destroy();
        appOpen = null;
    }
}
