package com.com2us.hive.adkit.sample.normal;

import android.graphics.Point;
import android.os.Bundle;
import android.widget.SeekBar;
import android.widget.TextView;
import androidx.appcompat.app.AppCompatActivity;
import androidx.appcompat.widget.AppCompatSeekBar;

import com.com2us.hive.adkit.AdaptiveBanner;
import com.com2us.hive.adkit.EventHandlers;

public class BannerActivity extends AppCompatActivity {

    TextView callbackStatus;

    AdaptiveBanner adaptiveBanner;
    EventHandlers eventHandlers;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_banner);

        callbackStatus = findViewById(R.id.bannerCallbackStatus);

        eventHandlers = new EventHandlers() {
            @Override public void onAdLoaded() {
                callbackStatus.append("onLoadAd() Called\n");
            }

            @Override public void onAdFailed() {
                callbackStatus.append("onFailedAd() Called\n");
            }

            @Override public void onAdClick() {
                callbackStatus.append("onClickAd() Called\n");
            }
        };

        adaptiveBanner = AdaptiveBanner.Initialize(this, "944fe870-fa3a-4d1b-9cc2-38e50b2aed43", AdaptiveBanner.BannerPosition.Bottom, eventHandlers);

        findViewById(R.id.loadBanner).setOnClickListener(view -> {
            if( !adaptiveBanner.isLoaded() ) adaptiveBanner.LoadAd("load");
        });
        findViewById(R.id.destroyBanner).setOnClickListener(view -> {
            if (adaptiveBanner.isLoaded()) adaptiveBanner.Destroy();
        });
        findViewById(R.id.bannerTop).setOnClickListener(view -> {
            if (adaptiveBanner.isLoaded()) adaptiveBanner.setPosition(AdaptiveBanner.BannerPosition.Top);
        });
        findViewById(R.id.bannerBottom).setOnClickListener(view -> {
            if (adaptiveBanner.isLoaded()) adaptiveBanner.setPosition(AdaptiveBanner.BannerPosition.Bottom);
        });
        findViewById(R.id.bannerYPos).setOnClickListener(view -> {
            if (adaptiveBanner.isLoaded()) {
                adaptiveBanner.Destroy();
            }
            if(adaptiveBanner != null) adaptiveBanner = null;
            adaptiveBanner = AdaptiveBanner.Initialize(this, "944fe870-fa3a-4d1b-9cc2-38e50b2aed43", 100, eventHandlers);
        });


        Point size = new Point();
        getWindowManager().getDefaultDisplay().getRealSize(size);
        int moveY = (int)(size.y / getResources().getDisplayMetrics().density) / 100;

        SeekBar seekBar = findViewById(R.id.bannerSeekBar);
        seekBar.setOnSeekBarChangeListener(new SeekBar.OnSeekBarChangeListener() {
            @Override
            public void onProgressChanged(SeekBar seekBar, int progress, boolean fromUser) {
                adaptiveBanner.setPosition(progress * moveY);
            }

            @Override
            public void onStartTrackingTouch(SeekBar seekBar) {

            }

            @Override
            public void onStopTrackingTouch(SeekBar seekBar) {

            }
        });
    }

    @Override
    protected void onResume() {
        super.onResume();
        if(adaptiveBanner!=null)
            adaptiveBanner.onResume();
    }

    @Override
    protected void onPause() {
        super.onPause();
        if(adaptiveBanner!=null)
            adaptiveBanner.onPause();
    }
}
