package com.com2us.hive.adkit.sample.normal;

import android.os.Bundle;
import android.widget.TextView;
import androidx.appcompat.app.AppCompatActivity;
import com.com2us.hive.adkit.EventHandlers;
import com.com2us.hive.adkit.Interstitial;

public class InterstitialActivity extends AppCompatActivity {

    TextView callbackStatus;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_interstitial);

        callbackStatus = findViewById(R.id.interstitialCallbackStatus);

        //Require
        Interstitial interstitial = Interstitial.Initialize(this, "e9acd7fc-a962-40e4-aaad-9feab1b4f821", new EventHandlers() {
            @Override
            public void onAdLoaded() {
                super.onAdLoaded();
                callbackStatus.append("onAdLoaded() Called\n");
            }

            @Override
            public void onAdOpening() {
                super.onAdOpening();
                callbackStatus.append("onAdOpening() Called\n");
            }

            @Override
            public void onAdClosed() {
                super.onAdClosed();
                callbackStatus.append("onAdClosed() Called\n");
            }

            @Override
            public void onAdFailed() {
                super.onAdFailed();
                callbackStatus.append("onAdFailed() Called\n");
            }

            @Override
            public void onAdClick() {
                super.onAdClick();
                callbackStatus.append("onAdClick() Called\n");
            }
        });

        findViewById(R.id.loadIntersitial).setOnClickListener(v -> {
            if(!interstitial.isLoaded()) {
                interstitial.LoadAd("load");
            }
        });

        findViewById(R.id.showIntersitial).setOnClickListener(v -> {
            if(interstitial.isLoaded()){
                interstitial.Show("show");
            }
        });
    }
}
