package com.com2us.hive.adkit.sample.normal;

import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.EditText;

import androidx.appcompat.app.AppCompatActivity;

import com.com2us.hive.adkit.AdKit;

import org.json.JSONException;
import org.json.JSONObject;

public class MainActivity extends AppCompatActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        findViewById(R.id.initAdKitGDPR).setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                AdKit.InitializeWithShowGDPRConsent(MainActivity.this, true, null);
            }
        });

        findViewById(R.id.initAdKitGDPRSkip_GB).setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                String hiveCounty = "GB"; // for test only
                AdKit.InitializeWithSetHiveCountry(MainActivity.this, true, hiveCounty);
            }
        });

        findViewById(R.id.initAdKitGDPRSkip_KR).setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                String hiveCounty = "KR"; // for test only
                AdKit.InitializeWithSetHiveCountry(MainActivity.this, true, hiveCounty);
            }
        });

        EditText edtAdditionalInfo = findViewById(R.id.extraInfoEdit);

        findViewById(R.id.btnShuffleInfo).setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                JSONObject sample = new JSONObject();
                try {
                    sample.put("level", (int)(Math.random() * 100 +1));
                    sample.put("gold", (int)(Math.random() * 100000 +1));
                } catch (JSONException e) {
                    e.printStackTrace();
                }
                edtAdditionalInfo.setText(sample.toString());
            }
        });

        findViewById(R.id.btnSetAdditionalInfo).setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                try {
                    JSONObject data = new JSONObject(edtAdditionalInfo.getText().toString());
                    AdKit.SetAdditionalInfo(data);
                } catch (JSONException e) {
                    e.printStackTrace();
                }
            }
        });

        findViewById(R.id.goBannerSample).setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                Intent i = new Intent(MainActivity.this, BannerActivity.class);
                startActivity(i);
            }
        });

        findViewById(R.id.goInterstitialSample).setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                Intent i = new Intent(MainActivity.this, InterstitialActivity.class);
                startActivity(i);
            }
        });

        findViewById(R.id.goRewardSample).setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                Intent i = new Intent(MainActivity.this, RewardActivity.class);
                startActivity(i);
            }
        });

        findViewById(R.id.goAppOpenSample).setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                Intent i = new Intent(MainActivity.this, AppOpenActivity.class);
                startActivity(i);
            }
        });
    }
}
