package com.com2us.hive.adkit.sample.normal;

import android.os.Bundle;
import android.widget.TextView;
import androidx.appcompat.app.AppCompatActivity;
import com.com2us.hive.adkit.EventHandlers;
import com.com2us.hive.adkit.RewardVideo;

public class RewardActivity extends AppCompatActivity {

    TextView callbackStatus;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_reward);

        callbackStatus = findViewById(R.id.rewardCallbackStatus);

        RewardVideo rewardVideo = RewardVideo.Initialize(this, "7d9a2c9e-5755-4022-85f1-6d4fc79e4418", new EventHandlers() {
            @Override
            public void onAdLoaded() {
                super.onAdLoaded();
                callbackStatus.append("onAdLoaded() Called\n");
            }

            @Override
            public void onAdOpening() {
                super.onAdOpening();
                callbackStatus.append("onAdOpening() Called\n");
            }

            @Override
            public void onAdClosed() {
                super.onAdClosed();
                callbackStatus.append("onAdClosed() Called\n");
            }

            @Override
            public void onAdFailed() {
                super.onAdFailed();
                callbackStatus.append("onAdFailed() Called\n");
            }

            @Override
            public void onAdReward() {
                super.onAdReward();
                callbackStatus.append("onAdReward() Called\n");
            }

            @Override
            public void onAdClick() {
                super.onAdClick();
                callbackStatus.append("onAdClick() Called\n");
            }
        });

        findViewById(R.id.loadReward).setOnClickListener(v -> {
            if(!rewardVideo.isLoaded()){
                rewardVideo.LoadAd("load");
            }
        });

        findViewById(R.id.showReward).setOnClickListener(v -> {
            if(rewardVideo.isLoaded()){
                rewardVideo.Show("show");
            }
        });
    }
}